Quote

The quote resource.

Basehttps://rest.carbon.ms/quote
GET/quote

List quotes

Retrieve a paginated list of quotes. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/quote
curl --request GET \
  --url 'https://rest.carbon.ms/quote?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "quoteId": "xyz789",
    "revisionId": 0,
    "status": "string",
    "customerId": "xyz789",
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string"
  }
]
GET/quote

Retrieve a quote

Fetch a single quote by filtering on `id`.

Query parameters

idstring

Match on the quote's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/quote
curl --request GET \
  --url 'https://rest.carbon.ms/quote?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "quoteId": "xyz789",
  "revisionId": 0,
  "status": "string",
  "customerId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
POST/quote

Create a quote

Create a new quote.

Body parameters

quoteIdstringrequired
revisionIdnumberrequired
dueDatedate
expirationDatedate
statusquoteStatusrequired
salesPersonIdstring

References user.id

estimatorIdstring

References user.id

customerIdstringrequired

References customer.id

customerLocationIdstring

References customerLocation.id

customerContactIdstring

References customerContact.id

customerReferencestring
locationIdstring

References location.id

assigneestring

References user.id

customFieldsobject
companyIdstringrequired

References company.id

externalNotesobject
internalNotesobject
currencyCodestring

References currencyCode.code

exchangeRatenumber
exchangeRateUpdatedAttimestamp
externalLinkIduuid

References externalLink.id

digitalQuoteAcceptedBystring
digitalQuoteAcceptedByEmailstring
tagsarray
digitalQuoteRejectedBystring
digitalQuoteRejectedByEmailstring
opportunityIdstring

References opportunity.id

completedDatetimestamp
customerEngineeringContactIdstring

References customerContact.id

POSThttps://rest.carbon.ms/quote
curl --request POST \
  --url https://rest.carbon.ms/quote \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"quoteId":"xyz789","revisionId":0,"status":"string","customerId":"xyz789","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "quoteId": "xyz789",
  "revisionId": 0,
  "status": "string",
  "customerId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
PATCH/quote

Update a quote

Update an existing quote, matched on `id`.

Body parameters

quoteIdstringrequired
revisionIdnumberrequired
dueDatedate
expirationDatedate
statusquoteStatusrequired
salesPersonIdstring

References user.id

estimatorIdstring

References user.id

customerIdstringrequired

References customer.id

customerLocationIdstring

References customerLocation.id

customerContactIdstring

References customerContact.id

customerReferencestring
locationIdstring

References location.id

assigneestring

References user.id

customFieldsobject
companyIdstringrequired

References company.id

externalNotesobject
internalNotesobject
currencyCodestring

References currencyCode.code

exchangeRatenumber
exchangeRateUpdatedAttimestamp
externalLinkIduuid

References externalLink.id

digitalQuoteAcceptedBystring
digitalQuoteAcceptedByEmailstring
tagsarray
digitalQuoteRejectedBystring
digitalQuoteRejectedByEmailstring
opportunityIdstring

References opportunity.id

completedDatetimestamp
customerEngineeringContactIdstring

References customerContact.id

PATCHhttps://rest.carbon.ms/quote
curl --request PATCH \
  --url 'https://rest.carbon.ms/quote?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"quoteId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "quoteId": "xyz789",
  "revisionId": 0,
  "status": "string",
  "customerId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
DELETE/quote

Delete a quote

Delete a quote, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the quote to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/quote
curl --request DELETE \
  --url 'https://rest.carbon.ms/quote?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content